/**
 * 合同信息
 *
 * @export
 * @interface HRContract
 */
export interface HRContract {

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HRContract
     */
    createman?: any;

    /**
     * 合同信息标识
     *
     * @returns {*}
     * @memberof HRContract
     */
    hrcontractid?: any;

    /**
     * 合同信息名称
     *
     * @returns {*}
     * @memberof HRContract
     */
    hrcontractname?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HRContract
     */
    createdate?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HRContract
     */
    updatedate?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HRContract
     */
    updateman?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HRContract
     */
    hremployeeid?: any;

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HRContract
     */
    hremployeename?: any;

    /**
     * 合同编号
     *
     * @returns {*}
     * @memberof HRContract
     */
    contractcode?: any;

    /**
     * 合同类别
     *
     * @returns {*}
     * @memberof HRContract
     */
    contractmode?: any;

    /**
     * 合同类型
     *
     * @returns {*}
     * @memberof HRContract
     */
    contracttype?: any;

    /**
     * 开始日期
     *
     * @returns {*}
     * @memberof HRContract
     */
    begintime?: any;

    /**
     * 结束日期
     *
     * @returns {*}
     * @memberof HRContract
     */
    endtime?: any;

    /**
     * 合同状态
     *
     * @returns {*}
     * @memberof HRContract
     */
    contractstate?: any;

    /**
     * 合同管理单位ID
     *
     * @returns {*}
     * @memberof HRContract
     */
    mgrorganizationid?: any;

    /**
     * 合同管理单位
     *
     * @returns {*}
     * @memberof HRContract
     */
    mgrorganizationname?: any;

    /**
     * 合同签约单位ID
     *
     * @returns {*}
     * @memberof HRContract
     */
    signorganizationid?: any;

    /**
     * 合同签约单位
     *
     * @returns {*}
     * @memberof HRContract
     */
    signorganizationname?: any;

    /**
     * 试用期
     *
     * @returns {*}
     * @memberof HRContract
     */
    probationtime?: any;

    /**
     * 签订类型
     *
     * @returns {*}
     * @memberof HRContract
     */
    contractsigntype?: any;

    /**
     * 备注
     *
     * @returns {*}
     * @memberof HRContract
     */
    memo?: any;

    /**
     * 合同签订次数
     *
     * @returns {*}
     * @memberof HRContract
     */
    contractsignnum?: any;

    /**
     * 附件
     *
     * @returns {*}
     * @memberof HRContract
     */
    attachment?: any;

    /**
     * 单位
     *
     * @returns {*}
     * @memberof HRContract
     */
    organizationname?: any;

    /**
     * 员工状态
     *
     * @returns {*}
     * @memberof HRContract
     */
    empstate?: any;

    /**
     * 到本单位时间
     *
     * @returns {*}
     * @memberof HRContract
     */
    startorgtime?: any;

    /**
     * 员工编号
     *
     * @returns {*}
     * @memberof HRContract
     */
    employeecode?: any;

    /**
     * 工作内容
     *
     * @returns {*}
     * @memberof HRContract
     */
    workcontent?: any;
}