package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRArchivesDTO]
 */
@Data
public class HRArchivesDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRARCHIVESID]
     *
     */
    @JSONField(name = "hrarchivesid")
    @JsonProperty("hrarchivesid")
    private String hrarchivesid;

    /**
     * 属性 [HRARCHIVESNAME]
     *
     */
    @JSONField(name = "hrarchivesname")
    @JsonProperty("hrarchivesname")
    private String hrarchivesname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [EMPLOYEECODE]
     *
     */
    @JSONField(name = "employeecode")
    @JsonProperty("employeecode")
    private String employeecode;

    /**
     * 属性 [ORGANIZATIONNAME]
     *
     */
    @JSONField(name = "organizationname")
    @JsonProperty("organizationname")
    private String organizationname;

    /**
     * 属性 [ORGANIZATIONID]
     *
     */
    @JSONField(name = "organizationid")
    @JsonProperty("organizationid")
    private String organizationid;

    /**
     * 属性 [EMPSTATE]
     *
     */
    @JSONField(name = "empstate")
    @JsonProperty("empstate")
    private String empstate;

    /**
     * 属性 [ARCHIVESCODE]
     *
     */
    @JSONField(name = "archivescode")
    @JsonProperty("archivescode")
    private String archivescode;

    /**
     * 属性 [ARCHIVESROOM]
     *
     */
    @JSONField(name = "archivesroom")
    @JsonProperty("archivesroom")
    private String archivesroom;

    /**
     * 属性 [ARCHIVESPLACETYPE]
     *
     */
    @JSONField(name = "archivesplacetype")
    @JsonProperty("archivesplacetype")
    private String archivesplacetype;

    /**
     * 属性 [ARCHIVESPLACE]
     *
     */
    @JSONField(name = "archivesplace")
    @JsonProperty("archivesplace")
    private String archivesplace;

    /**
     * 属性 [DEGREE]
     *
     */
    @JSONField(name = "degree")
    @JsonProperty("degree")
    private String degree;

    /**
     * 属性 [BIRTHDAY]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "birthday" , format="yyyy-MM-dd")
    @JsonProperty("birthday")
    private Timestamp birthday;

    /**
     * 属性 [POLITICALTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "politicaltime" , format="yyyy-MM-dd")
    @JsonProperty("politicaltime")
    private Timestamp politicaltime;

    /**
     * 属性 [STARTWORKTIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "startworktime" , format="yyyy-MM-dd")
    @JsonProperty("startworktime")
    private Timestamp startworktime;

    /**
     * 属性 [ACTIVEFLAG]
     *
     */
    @JSONField(name = "activeflag")
    @JsonProperty("activeflag")
    private Integer activeflag;

    /**
     * 属性 [ATTACHMENT]
     *
     */
    @JSONField(name = "attachment")
    @JsonProperty("attachment")
    private String attachment;

    /**
     * 属性 [MEMO]
     *
     */
    @JSONField(name = "memo")
    @JsonProperty("memo")
    private String memo;

    /**
     * 属性 [BORROWSTATE]
     *
     */
    @JSONField(name = "borrowstate")
    @JsonProperty("borrowstate")
    private String borrowstate;

    /**
     * 属性 [HRORGANIZATIONID]
     *
     */
    @JSONField(name = "hrorganizationid")
    @JsonProperty("hrorganizationid")
    private String hrorganizationid;

    /**
     * 属性 [HRORGANIZATIONNAME]
     *
     */
    @JSONField(name = "hrorganizationname")
    @JsonProperty("hrorganizationname")
    private String hrorganizationname;


    /**
     * 设置 [HRARCHIVESNAME]
     */
    public void setHrarchivesname(String  hrarchivesname){
        this.hrarchivesname = hrarchivesname ;
        this.modify("hrarchivesname",hrarchivesname);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [ARCHIVESCODE]
     */
    public void setArchivescode(String  archivescode){
        this.archivescode = archivescode ;
        this.modify("archivescode",archivescode);
    }

    /**
     * 设置 [ARCHIVESROOM]
     */
    public void setArchivesroom(String  archivesroom){
        this.archivesroom = archivesroom ;
        this.modify("archivesroom",archivesroom);
    }

    /**
     * 设置 [ARCHIVESPLACETYPE]
     */
    public void setArchivesplacetype(String  archivesplacetype){
        this.archivesplacetype = archivesplacetype ;
        this.modify("archivesplacetype",archivesplacetype);
    }

    /**
     * 设置 [ARCHIVESPLACE]
     */
    public void setArchivesplace(String  archivesplace){
        this.archivesplace = archivesplace ;
        this.modify("archivesplace",archivesplace);
    }

    /**
     * 设置 [DEGREE]
     */
    public void setDegree(String  degree){
        this.degree = degree ;
        this.modify("degree",degree);
    }

    /**
     * 设置 [BIRTHDAY]
     */
    public void setBirthday(Timestamp  birthday){
        this.birthday = birthday ;
        this.modify("birthday",birthday);
    }

    /**
     * 设置 [POLITICALTIME]
     */
    public void setPoliticaltime(Timestamp  politicaltime){
        this.politicaltime = politicaltime ;
        this.modify("politicaltime",politicaltime);
    }

    /**
     * 设置 [STARTWORKTIME]
     */
    public void setStartworktime(Timestamp  startworktime){
        this.startworktime = startworktime ;
        this.modify("startworktime",startworktime);
    }

    /**
     * 设置 [ACTIVEFLAG]
     */
    public void setActiveflag(Integer  activeflag){
        this.activeflag = activeflag ;
        this.modify("activeflag",activeflag);
    }

    /**
     * 设置 [ATTACHMENT]
     */
    public void setAttachment(String  attachment){
        this.attachment = attachment ;
        this.modify("attachment",attachment);
    }

    /**
     * 设置 [MEMO]
     */
    public void setMemo(String  memo){
        this.memo = memo ;
        this.modify("memo",memo);
    }

    /**
     * 设置 [BORROWSTATE]
     */
    public void setBorrowstate(String  borrowstate){
        this.borrowstate = borrowstate ;
        this.modify("borrowstate",borrowstate);
    }

    /**
     * 设置 [HRORGANIZATIONID]
     */
    public void setHrorganizationid(String  hrorganizationid){
        this.hrorganizationid = hrorganizationid ;
        this.modify("hrorganizationid",hrorganizationid);
    }


}

