package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRDutyCertDTO]
 */
@Data
public class HRDutyCertDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRDUTYCERTNAME]
     *
     */
    @JSONField(name = "hrdutycertname")
    @JsonProperty("hrdutycertname")
    private String hrdutycertname;

    /**
     * 属性 [HRDUTYCERTID]
     *
     */
    @JSONField(name = "hrdutycertid")
    @JsonProperty("hrdutycertid")
    private String hrdutycertid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [MEMO]
     *
     */
    @JSONField(name = "memo")
    @JsonProperty("memo")
    private String memo;

    /**
     * 属性 [IMPORTANCE]
     *
     */
    @JSONField(name = "importance")
    @JsonProperty("importance")
    private String importance;

    /**
     * 属性 [HRDUTYID]
     *
     */
    @JSONField(name = "hrdutyid")
    @JsonProperty("hrdutyid")
    private String hrdutyid;


    /**
     * 设置 [HRDUTYCERTNAME]
     */
    public void setHrdutycertname(String  hrdutycertname){
        this.hrdutycertname = hrdutycertname ;
        this.modify("hrdutycertname",hrdutycertname);
    }

    /**
     * 设置 [MEMO]
     */
    public void setMemo(String  memo){
        this.memo = memo ;
        this.modify("memo",memo);
    }

    /**
     * 设置 [IMPORTANCE]
     */
    public void setImportance(String  importance){
        this.importance = importance ;
        this.modify("importance",importance);
    }

    /**
     * 设置 [HRDUTYID]
     */
    public void setHrdutyid(String  hrdutyid){
        this.hrdutyid = hrdutyid ;
        this.modify("hrdutyid",hrdutyid);
    }


}

